## gnucash-docs 3.7

=== CMakeLists.txt ===
# CMakeLists.txt for GnuCash Documenation

cmake_minimum_required (VERSION 3.5)

project (gnucash-docs)

# Version number of gnucash
set (GNUCASH_MAJOR_VERSION 3)
set (GNUCASH_MINOR_VERSION 7)
set (VERSION "${GNUCASH_MAJOR_VERSION}.${GNUCASH_MINOR_VERSION}")
set (GNUCASH_LATEST_STABLE_SERIES 3.x)

set (PACKAGE gnucash-docs)
set (PACKAGE_NAME GnuCash Docs)
set (PACKAGE_VERSION 3.7)
set (PACKAGE_BUGREPORT "https://bugs.gnucash.org/describecomponents.cgi?product=Documentation")
set (PACKAGE_TARNAME ${PACKAGE})
set (PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
set (PACKAGE_URL "https://www.gnucash.org/")

# Extra cmake macros
set (CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake;${CMAKE_MODULE_PATH}")
include (AddChmTarget)
include (AddEpubTarget)
include (AddGHelpTarget)
include (AddHtmlTarget)
include (AddPdfTarget)
include (AddGncDocTargets)
include (DistCommon)
include (GNUInstallDirs)

# Clear cache variables that will be filled later during the cmake run
unset(dist_files CACHE)

# ############################################################
# These options are settable from the CMake command line. For example,
# to enable mobi, put -D WITH_MOBI=ON on the command line.
# To mimic the autotools' behaviour the targets enabled by default
# are different for Windows vs the other supported platforms.
# On windows only chm is enabled by default
# On any other platform chm and mobi are disabled by default

if(NOT WIN32)
    option (WITH_GHELP "Enable build rules for gnome help document format" ON)
    option (WITH_HTML "Enable build rules for html document format" ON)
    option (WITH_PDF "Enable build rules for pdf document format" ON)
    option (WITH_EPUB "Enable build rules for epub document format" ON)
    option (WITH_CHM "Enable build rules for chm document format" OFF)
else()
    option (WITH_GHELP "Enable build rules for gnome help document format" OFF)
    option (WITH_HTML "Enable build rules for html document format" OFF)
    option (WITH_PDF "Enable build rules for pdf document format" OFF)
    option (WITH_EPUB "Enable build rules for epub document format" OFF)
    option (WITH_CHM "Enable build rules for chm document format" ON)
endif()
option (WITH_MOBI "Enable build rules for Mobipocket document format" OFF)

# ############################################################
# Following parameters can equally be set using -D switches on the CMake command line.
# Set font dirs and font for Russian pdf documents
set(EXTENDED_SANS "opentype/freefont/FreeSans" CACHE STRING "Extended sans font used for Russian pdf")
set(EXTENDED_SERIF "opentype/freefont/FreeSerif" CACHE STRING "Extended serif font used for Russian pdf")
set(EXTENDED_MONO "opentype/freefont/FreeMono" CACHE STRING "Extended mono font used for Russian pdf")
set(extended_fontdir "${CMAKE_SOURCE_DIR}/fonts" CACHE STRING "Directory to search for extended fonts")
set(extended_extension "otf" CACHE STRING "Extended fonts extension")

# Set font dirs and font for Japanese pdf documents
set(JAPANESE_MINCHO_TTF "ume-tmo3.ttf" CACHE STRING "Mincho TrueType font used for Japanese pdf")
set(JAPANESE_GOTHIC_TTF "ume-tmo3.ttf" CACHE STRING "Gothic TrueType font used for Japanese pdf")
set(japanese_fontdir "${CMAKE_SOURCE_DIR}/fonts/truetype" CACHE STRING "Directory to search for Japanese fonts")

# Buildtime destination directories for our generated documentation
set(DATADIR_BUILD "${CMAKE_BINARY_DIR}/share")
set(DOCDIR_BUILD  "${DATADIR_BUILD}/doc/${PACKAGE}")

# ############################################################
# Find the documentation dependencies

# Check for xsltproc
# Some distributions package it separately of libxslt
find_program(XSLTPROC xsltproc)
if(NOT XSLTPROC)
    message(SEND_ERROR "Can't find xsltproc, perhaps you should install the xsltproc or libxslt package ?")
endif(NOT XSLTPROC)
SET (XSLTPROCFLAGS --path "${CMAKE_SOURCE_DIR}/docbook" --xinclude "$ENV{XSLTPROCFLAGS}")

# Same for xmllint
find_program(XMLLINT xmllint)
if(NOT XMLLINT)
    message(SEND_ERROR "Can't find xmllint, perhaps you should install the xsltproc or libxslt package ?")
endif(NOT XMLLINT)

# Check for optional fop
if(WITH_PDF)
    find_program(FOP fop)
    if(NOT FOP)
        message(WARNING "Can't find fop. You will not be able to generate PDF files.")
        set (WITH_PDF OFF)
    endif(NOT FOP)
endif()

if(WITH_MOBI)
    find_program(EBOOK_CONVERT ebook-convert)
    if (NOT EBOOK_CONVERT)
        set(WITH_MOBI OFF)
        message(SEND_ERROR "Couldn't find ebook-convert required for mobi file format support. Please install the Calibre package: https://www.calibre-ebook.com/")
    endif()
    # Mobi is based on epub so enable epub if mobi is requested
    set(WITH_EPUB ON)
else()
    message(STATUS "Mobi file format support is disabled.  Specify -DWITH_MOBY=ON if you want to enable it.")
endif()

# To find our figures in the source directory each run of fop
# will be passed a fop.xconf file to set a base-dir.
# The default fop.xconf file below does just that.
# Every document/language can define its own FOP_XCONF
# to point at a document/language specific fop.xconf
# instead for additional fop configuration as needed.
# For example the Japanese document will use it to embed Japanese fonts
set (FOP_XCONF_DFLT "${CMAKE_SOURCE_DIR}/fop.xconf.in")
set (FOP_XCONF "${FOP_XCONF_DFLT}")

# Find the htmlhelp compiler for chm output
if(WITH_CHM)
    if(WIN32)
        find_program(HHC hhc.exe
            PATHS "c:/Program Files (x86)/Html Help Workshop" "c:/Program Files/Html Help Workshop")
        if(NOT HHC)
            message(SEND_ERROR "Html Help Workshop not found")
        endif()
    else(WIN32)
        find_program(HHC chmcmd)
        if(NOT HHC)
            set(WITH_CHM OFF)
            message(WARNING "Free Pascal's chmcmd not found. Chm related targets will be disabled.")
        endif()
    endif(WIN32)
endif(WITH_CHM)

# The global targets. Their dependencies will be filled in by subsequent commands in
# the respective subdirectories.
add_custom_target(check)
if (WITH_HTML)
    add_custom_target(html)
endif()
if (WITH_GHELP)
    add_custom_target(ghelp)
endif()
if (WITH_PDF)
    add_custom_target(pdf)
endif()
if (WITH_EPUB)
    add_custom_target(epub)
endif()
if (WITH_MOBI)
    add_custom_target(mobi)
endif()
if (WITH_CHM)
    add_custom_target(chm)
endif()


add_subdirectory (guide)
add_subdirectory (help)

set(autotoolsfiles
    configure.ac
    configure
    config.guess
    config.sub
    COPYING
    INSTALL
    Makefile.am
    Makefile.in
    aclocal.m4
    gnucash-docs.spec.in
    install-sh
    ltmain.sh
    missing
    chm.make
    epub.make
    mobi.make
    omf.make
    pdf.make
    xmldocs.make)
add_to_dist(${autotoolsfiles})

file(GLOB_RECURSE extrafiles
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    cmake/* fonts/* stylesheet/* xsl/*)
add_to_dist(${extrafiles})

add_to_dist(
    AUTHORS
    CMakeLists.txt
    COPYING-DOCS
    ChangeLog
    HACKING
    NEWS
    README
    docbook/gnc-docbookx.dtd
    fop.xconf.in)

############################ BEGIN MAKE DIST #################

set(PACKAGE_PREFIX "${PACKAGE}-${PACKAGE_VERSION}")
set(DIST_FILE "${PACKAGE_PREFIX}.tar")

add_custom_command(OUTPUT ${DIST_FILE}.gz ${DIST_FILE}.bz2
        COMMAND ${CMAKE_COMMAND}
           -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
           -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
           -D GNUCASH_SOURCE_DIR=${CMAKE_SOURCE_DIR}
           -D BUILD_SOURCE_DIR=${CMAKE_BINARY_DIR}
           "-Ddist_files=\"${dist_files}\""
           -P ${CMAKE_SOURCE_DIR}/cmake/MakeDist.cmake

        DEPENDS
          ${dist_files}
        )

add_custom_target(dist DEPENDS ${DIST_FILE}.gz ${DIST_FILE}.bz2)

add_custom_target(distcheck DEPENDS dist
        COMMAND ${CMAKE_COMMAND}
            -D CMAKE_MODULE_PATH=${CMAKE_SOURCE_DIR}/cmake
            -D PACKAGE_PREFIX=${PACKAGE_PREFIX}
            -P ${CMAKE_SOURCE_DIR}/cmake/MakeDistCheck.cmake
        )

############################# END MAKE DIST #################

# uninstall target
configure_file(
        "${CMAKE_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        @ONLY)

add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

=== guide/CMakeLists.txt ===
set (docname "gnucash-guide")

add_custom_target(${docname}-check)
add_dependencies(check ${docname}-check)

if (WITH_HTML)
    add_custom_target(${docname}-html)
    add_dependencies(html ${docname}-html)
endif()

if (WITH_GHELP)
    add_custom_target(${docname}-ghelp)
    add_dependencies(ghelp ${docname}-ghelp)
endif()

if (WITH_PDF)
    add_custom_target(${docname}-pdf)
    add_dependencies(pdf ${docname}-pdf)
endif()

if (WITH_EPUB)
    add_custom_target(${docname}-epub)
    add_dependencies(epub ${docname}-epub)
endif()

if (WITH_MOBI)
    add_custom_target(${docname}-mobi)
    add_dependencies(mobi ${docname}-mobi)
endif()

if (WITH_CHM)
    add_custom_target(${docname}-chm)
    add_dependencies(chm ${docname}-chm)
endif()

add_subdirectory(C)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(ja)
add_subdirectory(pt)
add_subdirectory(ru)

set(autotoolsfiles
    Makefile.am
    Makefile.in)
add_to_dist(CMakeLists.txt ${autotoolsfiles})

=== help/CMakeLists.txt ===
set (docname "gnucash-help")

add_custom_target(${docname}-check)
add_dependencies(check ${docname}-check)

if (WITH_HTML)
    add_custom_target(${docname}-html)
    add_dependencies(html ${docname}-html)
endif()

if (WITH_GHELP)
    add_custom_target(${docname}-ghelp)
    add_dependencies(ghelp ${docname}-ghelp)
endif()

if (WITH_PDF)
    add_custom_target(${docname}-pdf)
    add_dependencies(pdf ${docname}-pdf)
endif()

if (WITH_EPUB)
    add_custom_target(${docname}-epub)
    add_dependencies(epub ${docname}-epub)
endif()

if (WITH_MOBI)
    add_custom_target(${docname}-mobi)
    add_dependencies(mobi ${docname}-mobi)
endif()

if (WITH_CHM)
    add_custom_target(${docname}-chm)
    add_dependencies(chm ${docname}-chm)
endif()

add_subdirectory(C)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(pt)

set(autotoolsfiles
    Makefile.am
    Makefile.in)
add_to_dist(CMakeLists.txt ${autotoolsfiles})

## gnucash-docs 2.4.1

=== debian/changelog ===
gnucash-docs (2.4.1-3) unstable; urgency=low

  * debian/rules: simplify override_dh_auto_clean rule
  * debian/patches/omf-location.patch: new patch, replaces hack in debian/rules
  * debian/links: create symlinks under /usr/share/gnome/help (Closes: #464587)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sat, 14 Jan 2012 22:35:00 +0100

gnucash-docs (2.4.1-2) unstable; urgency=low

  * debian/rules: install OMF files to the right place (Closes: #464587)

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Thu, 13 Oct 2011 21:30:43 +0200

gnucash-docs (2.4.1-1) unstable; urgency=low

  * Imported Upstream version 2.4.1
  * Move to 3.0 (quilt) source format
  * Adopting package
    + Set myself as new maintainer
    + Add DM-Upload-Allowed flag
    Thanks to Thomas Bushnell for his contribution to this package!
  * Bump to Standards-Version 3.9.2
  * Rewrite building script and dependencies
    + Use simplified rules thanks to debhelper 8
    + Use rarian-compat (in replacement of scrollkeeper)
    + Drop dependency on docbook-xml (yelp already depends on it)
  * Add HTML and PDF versions of documentation
    + Build-depend on fop
    + Build HTML and PDF English documents in debian/rules
    + Recommend yelp, suggest pdf-viewer and www-browser
    + Register HTML and PDF documents in doc-base
  * Rewrite long description of package
  * Rewrite debian/copyright
    + Use DEP5 format
    + Lintian override about GFDL no longer needed
  * Update debian/watch
  * Remove obsolete README.Debian
  * debian/control: add upstream homepage
  * debian/control: add VCS information

 -- Sébastien Villemot <sebastien.villemot@ens.fr>  Sun, 02 Oct 2011 16:28:27 +0200

gnucash-docs (2.2.0-3) unstable; urgency=low

  * debian/control (Standards-Versions): Update to 3.7.3.  (No changes needed.)
  
  * debian/gnucash-docs.lintian-overrides: New file.  Override 
    copyright-should-refer-to-common-license-file-for-gfdl because the common
    version of that file is GFDL version 1.2, and this package is covered by
    GFDL 1.1.
  * debian/rules: Install gnucash-docs.lintian-overrides as
    /usr/share/lintian/overrides/gnucash-docs.

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 16 Jan 2008 15:37:56 -0500

gnucash-docs (2.2.0-2) unstable; urgency=low

  * guide/C/ch_txns.xml (txns-sxn-editor2): Fix typo "eay" -> "easy".
    (Closes: #459654)
  
  * help/C/Help_ch_Customize.xml (prefs-date-time): Fix mistaken filename
    for figure "Help_Pref_date-time.png" -> "Help_Pref_DateTime.png".  This
    is the only missing figure; the ones mentioned in the bug report are
    fixed as of 2.2.0-1.  (Closes: #347623)
    
  * debian/rules (binary-arch): Do nothing here.
    (binary-indep): Put all the code to build the package (was in binary-arch)
    into this rule where it belongs.  Also change TAB-# into #-TAB.
    Fixes lintian warning binary-arch-rules-but-pkg-is-arch-indep.
  
  * debian/rules (clean): Don't ignore all errors on Make clean invocation.
    Fixes lintian warning debian-rules-ignores-make-clean-error.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Mon, 14 Jan 2008 15:11:52 -0500

gnucash-docs (2.2.0-1) unstable; urgency=low

  * New upstream release.
  * debian/README.debian: New file. (Closes: #410434)

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 21 Sep 2007 11:37:25 -0400

gnucash-docs (2.0.1-1) unstable; urgency=low

  * New upstream release.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sun,  8 Oct 2006 17:52:40 -0700

gnucash-docs (2.0.0-2) unstable; urgency=low

  * debian/control (Standards-Version): Update to 3.7.2.
    
  * debian/control (Build-Depends-Indep): Remove debhelper.
  (Build-Depends): Add debhelper.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Mon,  2 Oct 2006 23:13:39 -0700

gnucash-docs (2.0.0-1) unstable; urgency=low

  * New upstream release.
  
  * debian/control (Depends): Add yelp.  (Closes: #377481)
    
  * debian/control: Omit HBCI from the description, since Debian gnucash
    doesn't support it at present.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Wed, 30 Aug 2006 23:53:12 -0700

gnucash-docs (1.9.0-1) unstable; urgency=low

  * New upstream release.  (Closes: #195797, #238976, #272019)
  * debian/control (gnucash-docs): Conflict with gnucash versions before
    1.9.0.
  * debian/control (Build-Depends-Indep): Don't depend on
    libdb3-dev. (Closes: #289671)
  
  * debian/control (Priority): Move to optional, to match gnucash.
  
  * debian/source.lintian-overrides: Delete file; no longer necessary.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue,  6 Jun 2006 18:07:09 -0700

gnucash-docs (1.8.5-3) unstable; urgency=low

  * debian/copyright: Update FSF address.
    
  * debian/control (Standards-Version): Bump to 3.6.2.
  * debian/rules (install): Install into debian/tmp/gnucash-docs.
  
  * debian/compat: New file: 4.
  
  * debian/source.lintian-overrides: New file, to block
    source-contains-CVS-dir.
  
 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 30 Sep 2005 23:09:08 -0700

gnucash-docs (1.8.5-2) unstable; urgency=low

  * debian/watch: New file.

 -- Thomas Bushnell, BSG <tb@debian.org>  Fri, 30 Sep 2005 20:41:35 -0700

gnucash-docs (1.8.5-1) unstable; urgency=low

  * New upstream release. (Closes: #238974)

 -- Thomas Bushnell, BSG <tb@debian.org>  Wed,  2 Feb 2005 21:09:49 -0800

gnucash-docs (1.8.4-5) unstable; urgency=low

  * New maintainer.  Closes: #242464.

 -- Thomas Bushnell, BSG <tb@debian.org>  Tue, 17 Aug 2004 21:27:48 -0700

gnucash-docs (1.8.4-4) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 17:11:33 -0700

gnucash-docs (1.8.4-3) unstable; urgency=low

  * Remove doc-tools/build-help-index during clean. Closes: #244377

 -- James A. Treacy <treacy@debian.org>  Tue, 20 Apr 2004 00:19:06 -0400

gnucash-docs (1.8.4-1) unstable; urgency=low

  * New upstream release.



=== debian/control ===
Source: gnucash-docs
Section: doc
Priority: optional
Maintainer: Sébastien Villemot <sebastien.villemot@ens.fr>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 8), xsltproc, rarian-compat, fop, dh-autoreconf
Homepage: http://www.gnucash.org
Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash-docs.git
Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash-docs.git

Package: gnucash-docs
Architecture: all
Depends: ${misc:Depends}
Recommends: yelp
Suggests: gnucash, pdf-viewer, www-browser
Conflicts: gnucash (<< 1.9.0-1)
Description: Documentation for gnucash, a personal finance tracking program
 GnuCash provides accounting functions suitable for use by small businesses and
 individuals. It can track finances in multiple accounts, keeping running and
 reconciled balances. There is support for customer, vendor and employee
 processing. It has an X based graphical user interface, double entry, a
 hierarchy of accounts, expense accounts (categories), and can import Quicken
 QIF files and OFX files.
 .
 This package contains the GnuCash Help Manual and the GnuCash Tutorial and
 Concepts Guide.
 .
 The Help Manual is a quick reference of how to accomplish specific tasks and
 how to use the features in GnuCash. The Tutorial and Concepts Guide is an in
 depth guide to the concepts behind using GnuCash with a tutorial to show how
 to put those concepts into practice.
 .
 These documents are available in HTML, PDF and DocBook formats (the latter is
 intended to be viewed with the GNOME Help browser).
 .
 Translations in German, Italian and Japanese are also included in this package
 (only in DocBook format).

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	dh_auto_build
	make -C help/C html pdf
	make -C guide/C html pdf

override_dh_auto_clean:
	dh_auto_clean
	rm -rf help/C/gnucash-help guide/C/gnucash-guide

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

## gnucash-docs 2.4.2

=== debian/changelog ===
gnucash-docs (2.4.2-1) unstable; urgency=low

  * Imported Upstream version 2.4.2
  * debian/copyright
    - reflect upstream changes
    - upgrade to machine-readable format 1.0
  * omf-location.patch: remove patch, applied upstream
  * Use my @debian.org email address
  * Remove obsolete DM-Upload-Allowed flag
  * Bump to Standards-Version 3.9.4, no changes needed
  * Bump to debhelper compat level 9

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 04 May 2013 17:49:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gnucash-docs
 Section: doc
 Priority: optional
-Maintainer: Sébastien Villemot <sebastien.villemot@ens.fr>
-DM-Upload-Allowed: yes
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), xsltproc, rarian-compat, fop, dh-autoreconf
+Maintainer: Sébastien Villemot <sebastien@debian.org>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf
 Homepage: http://www.gnucash.org
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash-docs.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash-docs.git

## gnucash-docs 2.6.0

=== debian/changelog ===
gnucash-docs (2.6.0-1) unstable; urgency=medium

  * Imported Upstream version 2.6.0
  * debian/copyright: reflect upstream changes.
  * Ship all translations in HTML and PDF form.
    Except the Japanese PDF: even with the right font files provided to the
    configure script, the build fails when calling fop-ttreader.
  * Handle symlink to directory conversion of /usr/share/gnome/help/gnucash-*/.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add libxml2-utils to Build-Depends.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 01 Jan 2014 14:17:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Sébastien Villemot <sebastien@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
+               libxml2-utils
 Homepage: http://www.gnucash.org
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash-docs.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash-docs.git
@@ -34,4 +35,4 @@
  intended to be viewed with the GNOME Help browser).
  .
  Translations in German, Italian and Japanese are also included in this package
- (only in DocBook format).
+ (for Japanese, only the HTML guide is available).

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	make html pdf

override_dh_auto_clean:
	dh_auto_clean
	for lg in C it de ja; do \
		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
	done

override_dh_installdocs:
	dh_installdocs
	for suffix in "/" ".pdf"; do \
		for type in help guide; do \
			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
		done; \
	done
	cp -a guide/ja/gnucash-guide/ debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-guide-ja/

get-orig-source:
	uscan --force-download --rename --destdir .
.PHONY: get-orig-source

## gnucash-docs 2.6.1

=== debian/changelog ===
gnucash-docs (2.6.1-1) unstable; urgency=medium

  * Imported Upstream version 2.6.1
  * debian/copyright: add paragraph for new font files.
  * Ship PDF version of Japanese guide.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 28 Jan 2014 20:56:31 +0100

=== debian/control ===
--- 
+++ 
@@ -35,4 +35,4 @@
  intended to be viewed with the GNOME Help browser).
  .
  Translations in German, Italian and Japanese are also included in this package
- (for Japanese, only the HTML guide is available).
+ (for Japanese, only the guide is available).

=== debian/rules ===
--- 
+++ 
@@ -21,9 +21,11 @@
 			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
 			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
 			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
+			if [ "$${type}" = guide ]; then \
+				cp -a $${type}/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
+			fi; \
 		done; \
 	done
-	cp -a guide/ja/gnucash-guide/ debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-guide-ja/
 
 get-orig-source:
 	uscan --force-download --rename --destdir .

## gnucash-docs 2.6.3

=== debian/changelog ===
gnucash-docs (2.6.3-1) unstable; urgency=medium

  * Imported Upstream version 2.6.3
  * debian/copyright: reflect upstream changes.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 24 Apr 2014 19:41:00 +0200

gnucash-docs (2.6.2-1) unstable; urgency=medium

  * Imported Upstream version 2.6.2
  * Reduce the package size by removing duplicate files (and replacing
    them by symlinks). (Closes: #741175)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 11 Mar 2014 21:00:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sébastien Villemot <sebastien@debian.org>
 Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
-               libxml2-utils
+               libxml2-utils, rdfind, symlinks
 Homepage: http://www.gnucash.org
 Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash-docs.git
 Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash-docs.git

## gnucash-docs 2.6.4

=== debian/changelog ===
gnucash-docs (2.6.4-1) unstable; urgency=medium

  * Imported Upstream version 2.6.4
  * Use canonical URLs for Vcs-* fields.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 28 Sep 2014 12:22:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Sébastien Villemot <sebastien@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
                libxml2-utils, rdfind, symlinks
 Homepage: http://www.gnucash.org
-Vcs-Browser: http://git.debian.org/?p=pkg-gnucash/gnucash-docs.git
-Vcs-Git: git://git.debian.org/pkg-gnucash/gnucash-docs.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnucash/gnucash-docs.git
+Vcs-Git: git://anonscm.debian.org/pkg-gnucash/gnucash-docs.git
 
 Package: gnucash-docs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,12 @@
 			fi; \
 		done; \
 	done
+	# Replace duplicate files with symlinks, to save space.
+	# And make sure that files from /usr/share/doc are not taken as original copy.
+	rdfind -outputname /dev/null -makesymlinks true debian/gnucash-docs/usr/share/gnome/ \
+		debian/gnucash-docs/usr/share/doc/
+	# Fix those symlinks to make them relative
+	symlinks -r -s -c debian/gnucash-docs/
 
 get-orig-source:
 	uscan --force-download --rename --destdir .

## gnucash-docs 2.6.6

=== debian/changelog ===
gnucash-docs (2.6.6-1) unstable; urgency=low

  [ Dmitry Smirnov ]
  * New upstream release [March 2015].
  * Added "debian/gbp.conf".
  * Updated Vcs-Browser URL.

  [ Sébastien Villemot ]
  * Hand over maintenance to Dmitry Smirnov.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 29 Apr 2015 10:32:12 +1000

## gnucash-docs 2.6.7

=== debian/changelog ===
gnucash-docs (2.6.7-1) unstable; urgency=medium

  * New upstream release [June 2015].

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 29 Jun 2015 18:58:33 +1000

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: gnucash-docs
 Section: doc
 Priority: optional
-Maintainer: Sébastien Villemot <sebastien@debian.org>
+Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
                libxml2-utils, rdfind, symlinks
 Homepage: http://www.gnucash.org
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnucash/gnucash-docs.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git
 Vcs-Git: git://anonscm.debian.org/pkg-gnucash/gnucash-docs.git
 
 Package: gnucash-docs

## gnucash-docs 2.6.9

=== debian/changelog ===
gnucash-docs (2.6.9-1) unstable; urgency=medium

  * New upstream release [October 2015].
  * New patch to fix FTBFS (Closes: #802071).
  * rules: commented "DH_VERBOSE=1".

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 27 Oct 2015 21:50:35 +1100

## gnucash-docs 2.6.10

=== debian/changelog ===
gnucash-docs (2.6.10-1) unstable; urgency=medium

  * New upstream release [December 2015].
  * Dropped obsolete "path.patch".
  * New upstream "759985.patch" to fix FTBFS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 30 Dec 2015 12:32:26 +1100

## gnucash-docs 2.6.11

=== debian/changelog ===
gnucash-docs (2.6.11-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Feb 2016 00:01:47 +1100

gnucash-docs (2.6.11-1) unstable; urgency=medium

  * New upstream release [January 2016].
  * Removed obsolete "759985.patch".

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 16 Jan 2016 10:17:27 +1100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
                libxml2-utils, rdfind, symlinks
+#    ,fonts-horai-umefont
 Homepage: http://www.gnucash.org
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git
 Vcs-Git: git://anonscm.debian.org/pkg-gnucash/gnucash-docs.git

## gnucash-docs 2.6.12

=== debian/changelog ===
gnucash-docs (2.6.12-1) unstable; urgency=medium

  * New upstream release [March 2016].
  * Standards-Version: 3.9.7.
  * Vcs-Browser URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Apr 2016 11:10:34 +1000

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: doc
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
                libxml2-utils, rdfind, symlinks
 #    ,fonts-horai-umefont
 Homepage: http://www.gnucash.org
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git
 Vcs-Git: git://anonscm.debian.org/pkg-gnucash/gnucash-docs.git
 
 Package: gnucash-docs

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,23 @@
 #!/usr/bin/make -f
 
-export DH_VERBOSE=1
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
 %:
 	dh $@ --with autoreconf
+
+## TODO: use "fonts-horai-umefont".
+fonts/gothic.xml:
+	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tgo4.ttf $@
+
+fonts/mincho.xml:
+	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf $@
+
+#override_dh_clean:
+#	dh_clean fonts/mincho.xml fonts/gothic.xml ume-tmo3.ttf ume-tgo4.ttf
+#
+#override_dh_auto_configure: fonts/mincho.xml fonts/gothic.xml
+#	dh_auto_configure -- --with-japanese-fontdir=/usr/share/fonts/truetype/horai-umefont
 
 override_dh_auto_build:
 	make html pdf

=== debian/watch ===
version=3
http://sf.net/gnucash/gnucash-docs-([\d.]+)\.tar\.gz

## gnucash-docs 2.6.13

=== debian/changelog ===
gnucash-docs (2.6.13-2) unstable; urgency=medium

  * Invoke `xsltproc` with "--nonet" to disable build-time network access
    (Closes: #831019). Thanks, Chris Lamb.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 14 Jul 2016 16:48:39 +1000

gnucash-docs (2.6.13-1) unstable; urgency=medium

  * New upstream release [June 2016].
  * Standards-Version: 3.9.8.
  * Vcs-Git URL to HTTPS.

 -- Dmitry Smirnov <onlyjob@debian.org>  Mon, 04 Jul 2016 03:28:06 +1000

## gnucash-docs 2.6.14

=== debian/changelog ===
gnucash-docs (2.6.14-1) unstable; urgency=medium

  * New upstream release [September 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 02 Oct 2016 18:36:20 +1100

## gnucash-docs 2.6.15

=== debian/changelog ===
gnucash-docs (2.6.15-1) unstable; urgency=medium

  * New upstream release [December 2016].

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 22 Dec 2016 08:30:51 +1100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
                libxml2-utils, rdfind, symlinks
 #    ,fonts-horai-umefont
 Homepage: http://www.gnucash.org
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git
-Vcs-Git: git://anonscm.debian.org/pkg-gnucash/gnucash-docs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnucash/gnucash-docs.git
 
 Package: gnucash-docs
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+## Disable build-time network access #831019:
+export XSLTPROCFLAGS=--nonet
 
 %:
 	dh $@ --with autoreconf

## gnucash-docs 2.6.17

=== debian/changelog ===
gnucash-docs (2.6.17-1) unstable; urgency=medium

  * New upstream release [July 2017].
  * Debhelper/compat to version 10.
  * Standards to 4.0.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 08 Jul 2017 23:18:05 +1000

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: doc
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), xsltproc, rarian-compat, fop, dh-autoreconf,
+Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 10), xsltproc, rarian-compat, fop, dh-autoreconf,
                libxml2-utils, rdfind, symlinks
 #    ,fonts-horai-umefont
 Homepage: http://www.gnucash.org

## gnucash-docs 2.6.19

=== debian/changelog ===
gnucash-docs (2.6.19-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends += "docbook-xml".
  * Removed "rarian-compat" from Build-Depends (Closes: #885663).
    Thanks, Jeremy Bicha.
  * Standards-Version: 4.1.4.
  * debhelper & compat to version 11.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 08 Apr 2018 21:05:11 +1000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.0.0
-Build-Depends: debhelper (>= 10), xsltproc, rarian-compat, fop, dh-autoreconf,
-               libxml2-utils, rdfind, symlinks
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11~), xsltproc, fop
+    ,libxml2-utils, rdfind, symlinks
+    ,docbook-xml
 #    ,fonts-horai-umefont
 Homepage: http://www.gnucash.org
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git

## gnucash-docs 3.1

=== debian/changelog ===
gnucash-docs (3.1-0.1~mx15+1) mx; urgency=medium

  * New upstream release [May 2018].

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 May 2018 21:31:36 -0700

gnucash-docs (3.0-0.1~mx17+1) mx; urgency=medium

  * New upstream release [Apr 2018].
  * Add docbook-xml as preferred alternate B-D to rarian-compat as in upstream
    Debian.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Apr 2018 13:07:01 -0700

gnucash-docs (2.6.19-0.1~mx17+1) mx; urgency=medium

  * New upstream release [Dec 2017].
  * Add Porteguese and Russian.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 18 Dec 2017 11:49:51 -0800

gnucash-docs (2.6.18-0mx15+1) mx; urgency=medium

  * New upstream release [Sept 2017].

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 02 Oct 2017 18:43:34 -0700

gnucash-docs (2.6.17-0mx15+1) mx; urgency=medium

  * New upstream release [July 2017].

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 05 Jul 2017 09:50:11 -0700

gnucash-docs (2.6.16-0mx15+1) mx; urgency=medium

  * New upstream release [March 2017].

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 27 Mar 2017 13:32:15 -0700

## gnucash-docs 3.2

=== debian/changelog ===
gnucash-docs (3.2-1) unstable; urgency=medium

  * New upstream release.
  * Vcs URLs to Salsa.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 04 Jul 2018 17:01:23 +1000

## gnucash-docs 3.3

=== debian/changelog ===
gnucash-docs (3.3-1) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * watch: check GitHub for releases.
  * New upstream release.

  [ Ondřej Nový ]
  * d/watch: Use https protocol

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 02 Oct 2018 15:44:10 +1000

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
     ,docbook-xml
 #    ,fonts-horai-umefont
 Homepage: http://www.gnucash.org
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnucash/gnucash-docs.git
+Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
+Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
 
 Package: gnucash-docs
 Architecture: all

## gnucash-docs 3.4

=== debian/changelog ===
gnucash-docs (3.4-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.3.0.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 26 Jan 2019 17:20:47 +1100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends: debhelper (>= 11~), xsltproc, fop
     ,libxml2-utils, rdfind, symlinks
     ,docbook-xml

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export XSLTPROCFLAGS=--nonet
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 ## TODO: use "fonts-horai-umefont".
 fonts/gothic.xml:
@@ -49,7 +49,3 @@
 		debian/gnucash-docs/usr/share/doc/
 	# Fix those symlinks to make them relative
 	symlinks -r -s -c debian/gnucash-docs/
-
-get-orig-source:
-	uscan --force-download --rename --destdir .
-.PHONY: get-orig-source

## gnucash-docs 3.5

=== debian/changelog ===
gnucash-docs (3.5-0.1~mx17+1) mx; urgency=medium

  * New upstream release (Mar 2019).
  * Change debian/watch to get files from Github.
  * Update debian/copyright.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Apr 2019 16:47:25 -0700

gnucash-docs (3.4-0.1~mx17+1) mx; urgency=medium

  * New upstream release (Dec 2018).

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 Jan 2019 18:59:54 -0800

gnucash-docs (3.3-1~mx17+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 02 Oct 2018 18:07:46 -0700

gnucash-docs (3.2-0.1~mx17+1) mx; urgency=medium

  * New upstream release [June 2018].

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 26 Jun 2018 11:12:11 -0700

gnucash-docs (3.1-0.1~mx17+1) mx; urgency=medium

  * New upstream release [May 2018].

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 02 May 2018 21:31:36 -0700

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,26 @@
 Source: gnucash-docs
 Section: doc
 Priority: optional
-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
-Standards-Version: 4.3.0
-Build-Depends: debhelper (>= 11~), xsltproc, fop
-    ,libxml2-utils, rdfind, symlinks
-    ,docbook-xml
-#    ,fonts-horai-umefont
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Bugs: mailto: <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Dmitry Smirnov <onlyjob@debian.org>
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9),
+               xsltproc,
+               docbook-xml | rarian-compat,
+               fop,
+               dh-autoreconf,
+               libxml2-utils,
+               rdfind,
+               symlinks
 Homepage: http://www.gnucash.org
-Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
-Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnucash/gnucash-docs.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-gnucash/gnucash-docs.git
 
 Package: gnucash-docs
 Architecture: all
-Depends: ${misc:Depends}
-Recommends: yelp
+Depends: ${misc:Depends}, yelp
+# Recommends: yelp
 Suggests: gnucash, pdf-viewer, www-browser
 Conflicts: gnucash (<< 1.9.0-1)
 Description: Documentation for gnucash, a personal finance tracking program
@@ -36,5 +42,6 @@
  These documents are available in HTML, PDF and DocBook formats (the latter is
  intended to be viewed with the GNOME Help browser).
  .
- Translations in German, Italian and Japanese are also included in this package
+ Translations in German, Italian, Japanese, Portuguese and Russian are also
+ included in this package.
  (for Japanese, only the guide is available).

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export XSLTPROCFLAGS=--nonet
 
 %:
-	dh $@
+	dh $@ --with autoreconf --parallel
 
 ## TODO: use "fonts-horai-umefont".
 fonts/gothic.xml:
@@ -27,7 +27,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	for lg in C it de ja; do \
+	for lg in C it de ja pt ru; do \
 		rm -rf help/$${lg}/gnucash-help guide/$${lg}/gnucash-guide; \
 	done
 
@@ -38,6 +38,8 @@
 			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
 			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
 			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
+			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
+			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ru$${suffix}; \
 			if [ "$${type}" = guide ]; then \
 				cp -a $${type}/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
 			fi; \
@@ -49,3 +51,7 @@
 		debian/gnucash-docs/usr/share/doc/
 	# Fix those symlinks to make them relative
 	symlinks -r -s -c debian/gnucash-docs/
+
+get-orig-source:
+	uscan --force-download --rename --destdir .
+.PHONY: get-orig-source

## gnucash-docs 3.6

=== debian/changelog ===
gnucash-docs (3.6-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.4.0.
  * DH & compat to version 12.
  * Build-Depends += "libfontbox2-java".
  * Install Portuguese and Russian documentation.

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 21 Aug 2019 20:43:47 +1000

=== debian/control ===
Source: gnucash-docs
Section: doc
Priority: optional
Maintainer: Dmitry Smirnov <onlyjob@debian.org>
Standards-Version: 4.4.0
Build-Depends: debhelper (>= 12~), xsltproc, fop
    ,libxml2-utils, rdfind, symlinks
    ,docbook-xml
    ,libfontbox2-java
#    ,fonts-horai-umefont
Homepage: http://www.gnucash.org
Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git

Package: gnucash-docs
Architecture: all
Depends: ${misc:Depends}
Recommends: yelp
Suggests: gnucash, pdf-viewer, www-browser
Conflicts: gnucash (<< 1.9.0-1)
Description: Documentation for gnucash, a personal finance tracking program
 GnuCash provides accounting functions suitable for use by small businesses and
 individuals. It can track finances in multiple accounts, keeping running and
 reconciled balances. There is support for customer, vendor and employee
 processing. It has an X based graphical user interface, double entry, a
 hierarchy of accounts, expense accounts (categories), and can import Quicken
 QIF files and OFX files.
 .
 This package contains the GnuCash Help Manual and the GnuCash Tutorial and
 Concepts Guide.
 .
 The Help Manual is a quick reference of how to accomplish specific tasks and
 how to use the features in GnuCash. The Tutorial and Concepts Guide is an in
 depth guide to the concepts behind using GnuCash with a tutorial to show how
 to put those concepts into practice.
 .
 These documents are available in HTML, PDF and DocBook formats (the latter is
 intended to be viewed with the GNOME Help browser).
 .
 Translations in German, Italian and Japanese are also included in this package
 (for Japanese, only the guide is available).

## gnucash-docs 3.7

=== debian/changelog ===
gnucash-docs (3.7-2) unstable; urgency=medium

  * Fixed generation of "Built-Using" field (Closes: #940031).
    Thanks, Aurelien Jarno.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 12 Sep 2019 08:24:21 +1000

gnucash-docs (3.7-1) unstable; urgency=medium

  * New upstream release.
  * Use system fonts referenced but missing in the release tarball.
  * Added "Built-Using" field.
  * Build-Depends:
    + fonts-freefont-otf
    + fonts-horai-umefont

 -- Dmitry Smirnov <onlyjob@debian.org>  Wed, 11 Sep 2019 09:12:36 +1000

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,19 @@
 Maintainer: Dmitry Smirnov <onlyjob@debian.org>
 Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 12~), xsltproc, fop
-    ,libxml2-utils, rdfind, symlinks
     ,docbook-xml
+    ,fonts-freefont-otf
+    ,fonts-horai-umefont
     ,libfontbox2-java
-#    ,fonts-horai-umefont
+    ,libxml2-utils
+    ,rdfind, symlinks
 Homepage: http://www.gnucash.org
 Vcs-Browser: https://salsa.debian.org/debian/gnucash-docs
 Vcs-Git: https://salsa.debian.org/debian/gnucash-docs.git
 
 Package: gnucash-docs
 Architecture: all
+Built-Using: ${misc:Built-Using}, ${my:Built-Using}
 Depends: ${misc:Depends}
 Recommends: yelp
 Suggests: gnucash, pdf-viewer, www-browser

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,11 @@
 ## Disable build-time network access #831019:
 export XSLTPROCFLAGS=--nonet
 
+## https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=584472
+export JAVA_CLASSPATH=/usr/share/java/fontbox2.jar
+
 %:
-	dh $@ --with autoreconf --parallel
+	dh $@
 
 ## TODO: use "fonts-horai-umefont".
 fonts/gothic.xml:
@@ -16,13 +19,18 @@
 fonts/mincho.xml:
 	fop-ttfreader /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf $@
 
-#override_dh_clean:
-#	dh_clean fonts/mincho.xml fonts/gothic.xml ume-tmo3.ttf ume-tgo4.ttf
-#
+override_dh_clean:
+	dh_clean
+	$(RM) -rfv fonts
+
 #override_dh_auto_configure: fonts/mincho.xml fonts/gothic.xml
 #	dh_auto_configure -- --with-japanese-fontdir=/usr/share/fonts/truetype/horai-umefont
 
 override_dh_auto_build:
+	mkdir -pv fonts/truetype
+	ln -sv /usr/share/fonts/truetype/horai-umefont/ume-tmo3.ttf    fonts/truetype/    # fonts-horai-umefont
+	mkdir -pv fonts/opentype
+	ln -sv /usr/share/fonts/opentype/freefont                      fonts/opentype/    # fonts-freefont-otf
 	make html pdf
 
 override_dh_auto_clean:
@@ -38,8 +46,8 @@
 			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-en$${suffix}; \
 			cp -a $${type}/it/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-it$${suffix}; \
 			cp -a $${type}/de/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-de$${suffix}; \
-			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
-			cp -a $${type}/C/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ru$${suffix}; \
+			cp -a $${type}/pt/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-pt$${suffix}; \
+			cp -a $${type}/ru/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ru$${suffix}; \
 			if [ "$${type}" = guide ]; then \
 				cp -a $${type}/ja/gnucash-$${type}$${suffix} debian/gnucash-docs/usr/share/doc/gnucash-docs/gnucash-$${type}-ja$${suffix}; \
 			fi; \
@@ -52,6 +60,5 @@
 	# Fix those symlinks to make them relative
 	symlinks -r -s -c debian/gnucash-docs/
 
-get-orig-source:
-	uscan --force-download --rename --destdir .
-.PHONY: get-orig-source
+override_dh_gencontrol:
+	dh_gencontrol -- -Vmy:Built-Using="$(foreach pkg,fonts-horai-umefont fonts-freefont-otf,$(shell dpkg-query --show -f '$${source:Package} (=$${Version})' $(pkg)),)"
